Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class SkeletonNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--java.rmi.server.SkeletonNotFoundException

All Implemented Interfaces:
  Serializable

Deprecated. no replacement. Skeletons are no longer required for remote method calls in the Java 2 platform v1.2 and greater.

public class SkeletonNotFoundException
extends RemoteException

A `SkeletonNotFoundException` is thrown if the `Skeleton` corresponding to the remote object being exported is not found. Skeletons are not required in the Java 2 platform, so this exception is never thrown if stubs are generated with `rmic -v1.2`. To generate stubs and skeletons compatible with JDK1.1 and the Java 2 SDK, use `rmic -vcompat` which is the default in the Java 2 SDK.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`SkeletonNotFoundException(String s)` Deprecated. Constructs a `SkeletonNotFoundException` with the specified detail message.
`SkeletonNotFoundException(String s, Exception ex)` Deprecated. Constructs a `SkeletonNotFoundException` with the specified detail message and nested exception.

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SkeletonNotFoundException

    public SkeletonNotFoundException(String s)

  Deprecated.
  Constructs a `SkeletonNotFoundException` with the specified detail message.

Parameters:
  `s` - the detail message.
Since:
  JDK1.1

### SkeletonNotFoundException

    public SkeletonNotFoundException(String s,
                                     Exception ex)

  Deprecated.
  Constructs a `SkeletonNotFoundException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message.
  `ex` - the nested exception
Since:
  JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.